package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.SysHelpMapper;
import com.ruoyi.system.domain.SysHelp;
import com.ruoyi.system.service.ISysHelpService;

/**
 * helpService业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-09
 */
@Service
public class SysHelpServiceImpl extends ServiceImpl<BaseMapper<SysHelp>,SysHelp> implements ISysHelpService
{
    @Autowired
    private SysHelpMapper sysHelpMapper;

    /**
     * 查询help
     * 
     * @param id help主键
     * @return help
     */
    @Override
    public SysHelp selectSysHelpById(Long id)
    {
        return sysHelpMapper.selectSysHelpById(id);
    }

    /**
     * 查询help列表
     * 
     * @param sysHelp help
     * @return help
     */
    @Override
    public List<SysHelp> selectSysHelpList(SysHelp sysHelp)
    {
        return sysHelpMapper.selectSysHelpList(sysHelp);
    }

    /**
     * 新增help
     * 
     * @param sysHelp help
     * @return 结果
     */
    @Override
    public int insertSysHelp(SysHelp sysHelp)
    {
        return sysHelpMapper.insertSysHelp(sysHelp);
    }

    /**
     * 修改help
     * 
     * @param sysHelp help
     * @return 结果
     */
    @Override
    public int updateSysHelp(SysHelp sysHelp)
    {
        return sysHelpMapper.updateSysHelp(sysHelp);
    }

    /**
     * 批量删除help
     * 
     * @param ids 需要删除的help主键
     * @return 结果
     */
    @Override
    public int deleteSysHelpByIds(Long[] ids)
    {
        return sysHelpMapper.deleteSysHelpByIds(ids);
    }

    /**
     * 删除help信息
     * 
     * @param id help主键
     * @return 结果
     */
    @Override
    public int deleteSysHelpById(Long id)
    {
        return sysHelpMapper.deleteSysHelpById(id);
    }
}
